Puppet::Type.type(:gconf).provide :gconftool do
desc "Gconf Setting tool"
has_feature :setable

commands :gconftool => "/usr/bin/gconftool-2"

defaultfor :operatingsystem => [:debian, :ubuntu]

def getmode
	case @resource[:gmode]
	when :mandatory
		return @resource[:gconf_mandatory_source]
	when :default
		return @resource[:gconf_default_source]
	end
end

def setvalue
        gconftool "--direct", "--config-source", "xml:readwrite:#{getmode()}", "--type", @resource[:type],"--set" ,@resource[:name],@resource[:content]
end

def getvalue
	val = gconftool "--direct", "--config-source", "xml:readwrite:#{getmode()}","--get" ,@resource[:name]
	if val.chomp != @resource[:content]
		return false
	end
	true
end


end
